Debian Bug report logs - #700672
pu: package libzorpll/3.3.0.12-4+squeeze1

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Fri, 15 Feb 2013 23:06:01 UTC

Severity: normal

Tags: confirmed, squeeze

Fixed in version 6.0.7

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, libzorpll@packages.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#700672; Package release.debian.org. (Fri, 15 Feb 2013 23:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
New Bug report received and forwarded. Copy sent to libzorpll@packages.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Fri, 15 Feb 2013 23:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package libzorpll/3.3.0.12-4+squeeze1
Date: Sat, 16 Feb 2013 00:02:04 +0100
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

Hi,

there is an upgrade issue from lenny to squeeze due to a file conflict
between libzorp2-dev (existed in lenny only) and libzorpll-dev:

  Preparing to replace libzorpll-dev 3.0.6.4.2+nmu1 (using .../libzorpll-dev_3.3.0.12-4_amd64.deb) ...
  Unpacking replacement libzorpll-dev ...
  dpkg: error processing /var/cache/apt/archives/libzorpll-dev_3.3.0.12-4_amd64.deb (--unpack):
   trying to overwrite '/usr/include/zorp/streamblob.h', which is also in package libzorp2-dev 3.0.8-0.5

An unversioned Breaks/Replaces should fix this, libzorp2-dev is not
used as a virtual package.


Andreas
[693984.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#700672; Package release.debian.org. (Sat, 16 Feb 2013 10:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 16 Feb 2013 10:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 700672@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Andreas Beckmann <anbe@debian.org>, 700672@bugs.debian.org
Subject: Re: Bug#700672: pu: package libzorpll/3.3.0.12-4+squeeze1
Date: Sat, 16 Feb 2013 10:10:40 +0000
Control: tags -1 + moreinfo squeeze

On Sat, 2013-02-16 at 00:02 +0100, Andreas Beckmann wrote:
> there is an upgrade issue from lenny to squeeze due to a file conflict
> between libzorp2-dev (existed in lenny only) and libzorpll-dev:
[...]
> An unversioned Breaks/Replaces should fix this, libzorp2-dev is not
> used as a virtual package.

The patch looks okay; thanks. Has it been tested?

Regards,

Adam




Added tag(s) squeeze and moreinfo. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to 700672-submit@bugs.debian.org. (Sat, 16 Feb 2013 10:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#700672; Package release.debian.org. (Sat, 16 Feb 2013 11:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 16 Feb 2013 11:21:05 GMT) Full text and rfc822 format available.

Message #17 received at 700672@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 700672@bugs.debian.org
Subject: Re: Bug#700672: pu: package libzorpll/3.3.0.12-4+squeeze1
Date: Sat, 16 Feb 2013 12:19:33 +0100
On 2013-02-16 11:10, Adam D. Barratt wrote:
> On Sat, 2013-02-16 at 00:02 +0100, Andreas Beckmann wrote:
>> An unversioned Breaks/Replaces should fix this, libzorp2-dev is not
>> used as a virtual package.
> 
> The patch looks okay; thanks. Has it been tested?

Yes, I can confirm that there is now a clean upgrade path from lenny.
And libzorpll* still installs in squeeze and upgrades from lenny without
issues.


Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#700672; Package release.debian.org. (Sat, 16 Feb 2013 11:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 16 Feb 2013 11:27:07 GMT) Full text and rfc822 format available.

Message #22 received at 700672@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Andreas Beckmann <anbe@debian.org>
Cc: 700672@bugs.debian.org
Subject: Re: Bug#700672: pu: package libzorpll/3.3.0.12-4+squeeze1
Date: Sat, 16 Feb 2013 11:22:15 +0000
Control: tags -1 + confirmed

On Sat, 2013-02-16 at 12:19 +0100, Andreas Beckmann wrote:
> On 2013-02-16 11:10, Adam D. Barratt wrote:
> > On Sat, 2013-02-16 at 00:02 +0100, Andreas Beckmann wrote:
> >> An unversioned Breaks/Replaces should fix this, libzorp2-dev is not
> >> used as a virtual package.
> > 
> > The patch looks okay; thanks. Has it been tested?
> 
> Yes, I can confirm that there is now a clean upgrade path from lenny.
> And libzorpll* still installs in squeeze and upgrades from lenny without
> issues.

Thanks for the confirmation. Please go ahead.

Regards,

Adam




Added tag(s) confirmed. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to 700672-submit@bugs.debian.org. (Sat, 16 Feb 2013 11:27:07 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 16 Feb 2013 17:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#700672; Package release.debian.org. (Sun, 17 Feb 2013 18:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Feb 2013 18:48:03 GMT) Full text and rfc822 format available.

Message #31 received at 700672@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 700672@bugs.debian.org
Cc: Andreas Beckmann <anbe@debian.org>
Subject: Re: Bug#700672: pu: package libzorpll/3.3.0.12-4+squeeze1
Date: Sun, 17 Feb 2013 18:45:47 +0000
Control: tags -1 + pending

On Sat, 2013-02-16 at 11:22 +0000, Adam D. Barratt wrote:
> On Sat, 2013-02-16 at 12:19 +0100, Andreas Beckmann wrote:
> > On 2013-02-16 11:10, Adam D. Barratt wrote:
> > > On Sat, 2013-02-16 at 00:02 +0100, Andreas Beckmann wrote:
> > >> An unversioned Breaks/Replaces should fix this, libzorp2-dev is not
> > >> used as a virtual package.
> > > 
> > > The patch looks okay; thanks. Has it been tested?
> > 
> > Yes, I can confirm that there is now a clean upgrade path from lenny.
> > And libzorpll* still installs in squeeze and upgrades from lenny without
> > issues.
> 
> Thanks for the confirmation. Please go ahead.

Flagged for acceptance.

Regards,

Adam




Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to 700672-submit@bugs.debian.org. (Sun, 17 Feb 2013 18:48:03 GMT) Full text and rfc822 format available.

Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Sat, 23 Feb 2013 12:01:24 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Sat, 23 Feb 2013 12:01:24 GMT) Full text and rfc822 format available.

Message #38 received at 700672-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 689602-done@bugs.debian.org, 690552-done@bugs.debian.org, 690951-done@bugs.debian.org, 691142-done@bugs.debian.org, 691885-done@bugs.debian.org, 694329-done@bugs.debian.org, 695642-done@bugs.debian.org, 695956-done@bugs.debian.org, 696065-done@bugs.debian.org, 696158-done@bugs.debian.org, 696735-done@bugs.debian.org, 696778-done@bugs.debian.org, 697434-done@bugs.debian.org, 697563-done@bugs.debian.org, 697598-done@bugs.debian.org, 697798-done@bugs.debian.org, 698621-done@bugs.debian.org, 699228-done@bugs.debian.org, 699552-done@bugs.debian.org, 699696-done@bugs.debian.org, 700079-done@bugs.debian.org, 700163-done@bugs.debian.org, 700251-done@bugs.debian.org, 700277-done@bugs.debian.org, 700367-done@bugs.debian.org, 700393-done@bugs.debian.org, 700401-done@bugs.debian.org, 700523-done@bugs.debian.org, 700528-done@bugs.debian.org, 700563-done@bugs.debian.org, 700568-done@bugs.debian.org, 700672-done@bugs.debian.org, 700675-done@bugs.debian.org, 700724-done@bugs.debian.org, 700735-done@bugs.debian.org
Subject: Closing p-u bugs included in point release
Date: Sat, 23 Feb 2013 11:56:55 +0000
Version: 6.0.7

Hi,

The package discussed in each of these bugs was added to stable as part
of today's point release.

Regards,

Adam




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Mar 2013 07:32:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:38:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.